# eric3.Graphics.ImportsDiagram

Module implementing a dialog showing an imports diagram of a package.

### Classes

ImportsDiagram | Class implementing a dialog showing an imports diagram of a package.

### Functions

None

## ImportsDiagram

Class implementing a dialog showing an imports diagram of a package.

Note: Only package internal imports are show in order to maintain some readability.

### Derived from

QDialog

### Methods

ImportsDiagram | Constructor
__tr | Private method to translate the display strings.
addModule | Private method to add a module to the diagram.
buildImports | Private method to build the modules shapes of the diagram.
buildModulesDict | Private method to build a dictionary of modules contained in the package.
createAssociations | Private method to generate the associations between the module shapes.
getDiagramName | Method to retrieve a name for the diagram.
languageChange | Private method used to show the localized strings for this dialog.
relayout | Method to relayout the diagram.
show | Overriden method to show the dialog.

### ImportsDiagram (Constructor)

ImportsDiagram(package, parent = None, name = None, modal = 0, fl = 0)

Constructor

package
  name of a python package to show the import relationships (string)
parent
  parent widget of the view (QWidget)
name
  name of the view widget (QString or string)
flags
  the window flags to be passed to the view widget

### ImportsDiagram.__tr

__tr(s, c = None)

Private method to translate the display strings.

### ImportsDiagram.addModule

addModule(name, classes, x, y)

Private method to add a module to the diagram.

name
  module name to be shown (string)
classes
  list of class names contained in the module (list of strings)
x
  x-coordinate (integer)
y
  y-coordinate (integer)

### ImportsDiagram.buildImports

buildImports()

Private method to build the modules shapes of the diagram.

### ImportsDiagram.buildModulesDict

buildModulesDict()

Private method to build a dictionary of modules contained in the package.

Returns:
  dictionary of modules contained in the package.

### ImportsDiagram.createAssociations

createAssociations(shapes)

Private method to generate the associations between the module shapes.

shapes
  list of shapes

### ImportsDiagram.getDiagramName

getDiagramName()

Method to retrieve a name for the diagram.

Returns:
  name for the diagram

### ImportsDiagram.languageChange

languageChange()

Private method used to show the localized strings for this dialog.

### ImportsDiagram.relayout

relayout()

Method to relayout the diagram.

### ImportsDiagram.show

show()

Overriden method to show the dialog.

Up